/*
 * FRAM_MB85RS4MT_SPI.h
 * Anschluss eines 4MBit-FRAM MB85RS4MT an MSP430G2553
 *
 *  Created on: 20.03.2015 as FRAM_RS2MT_SPI.h
  * Author: DL9MWE
 *  21.04.2019
 */

#ifndef FRAM_MB85RS4MT_SPI_H_
#define FRAM_MB85RS4MT_SPI_H_


#define FRAM_maxAddr 0x7FFFF            // FRAM-Size in Bytes 524288

#define PORTFRAM_CS1_PIN         BIT3   // alles an Port 2, siehe SW_SPI.h
#define PORTFRAM_CS2_PIN         BIT1

void vFRAM_RS4MT_SPI_init();
unsigned long ulFRAM_RS4MT_writebytes(unsigned long addr, unsigned char *txData, unsigned int anzahl);
unsigned long ulFRAM_RS4MT_readbytes(unsigned long addr, unsigned char *rxData, unsigned int anzahl);


#define FRAM_WREN       0x06    //Set Write Enable Latch 0000 0110B
#define FRAM_WRITE      0x02    //Write Memory Code 0000 0010B
#define FRAM_READ       0x03    //Read Memory Code 0000 0011B
// presently unused:
//#define FRAM_WRDI       0x04    //Reset Write Enable Latch 0000 0100B
//#define FRAM_RDSR       0x05    //Read Status Register 0000 0101B
//#define FRAM_WRSR       0x01    //Write Status Register 0000 0001B
//#define FRAM_RDID       0x9F    //Read Device ID 1001 1111B
//#define FRAM_FSTRD      0x0b    //Fast Read Memory Code 0000 1011B
//#define FRAM_SLEEP      0xb9    //Sleep Mode 1011 1001B

#endif /* FRAM_MB85RS4MT_SPI_H_ */
